summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick_automake/core/kdepim/debian/kpilot-kde3.postinst
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2020-11-15 18:10:52 +0100
committerSlávek Banko <slavek.banko@axis.cz>2020-11-15 18:10:52 +0100
commit830f9676b4568fdf5704bd94c856d97d4c35813d (patch)
treeb7eb9bd9ca4fdb4c97da7b013583c87ab8f6e671 /ubuntu/maverick_automake/core/kdepim/debian/kpilot-kde3.postinst
parent0bfe4e2db5faf194cbafe6c3fcb8f331dd32f8c5 (diff)
downloadtde-packaging-830f9676b4568fdf5704bd94c856d97d4c35813d.tar.gz
tde-packaging-830f9676b4568fdf5704bd94c856d97d4c35813d.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'ubuntu/maverick_automake/core/kdepim/debian/kpilot-kde3.postinst')
-rw-r--r--ubuntu/maverick_automake/core/kdepim/debian/kpilot-kde3.postinst56
1 files changed, 56 insertions, 0 deletions
diff --git a/ubuntu/maverick_automake/core/kdepim/debian/kpilot-kde3.postinst b/ubuntu/maverick_automake/core/kdepim/debian/kpilot-kde3.postinst
new file mode 100644
index 000000000..4f36d2365
--- /dev/null
+++ b/ubuntu/maverick_automake/core/kdepim/debian/kpilot-kde3.postinst
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# postinst script for pilot-link and other libpisock8 related packages
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a
+# conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with
+# `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+#to be kept until post-lenny
+devfs_cfg=/etc/devfs/conf.d/libpisock8
+
+case "$1" in
+ configure|reconfigure)
+ . /usr/share/debconf/confmodule
+ db_purge
+ db_stop
+ rm -f $devfs_cfg
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+